Skip to content

Login

POST
/api/v1/auth/web/login

Authenticate user with email and password, establish a session.

object
email
required

The user’s email address.

string
password
required

The user’s password.

string
secretpassword
device_name

Must not be greater than 255 characters.

string
v
object
user
object
id
integer
1
name
string
John Doe
email
message
string
Logged in successfully.
{
"user": {
"id": 1,
"name": "John Doe",
"email": "[email protected]"
},
"message": "Logged in successfully."
}

Account inactive

object
message
string
Account is inactive.
{
"message": "Account is inactive."
}

Invalid credentials

object
message
string
The given data was invalid.
errors
object
email
Array<string>
[
"The provided credentials are incorrect."
]
{
"message": "The given data was invalid.",
"errors": {
"email": [
"The provided credentials are incorrect."
]
}
}